Bug 1468359 - [RFE] task status widget should only show interesting statuses and also show timestamps
Summary: [RFE] task status widget should only show interesting statuses and also show ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Dashboard
Version: 6.2.10
Hardware: Unspecified
OS: Unspecified
medium
medium vote
Target Milestone: 6.4.0
Assignee: Tomer Brisker
QA Contact: Nikhil Kathole
URL:
Whiteboard:
: 1279317 (view as bug list)
Depends On:
Blocks: 1317008
TreeView+ depends on / blocked
 
Reported: 2017-07-06 19:56 UTC by Chris Duryee
Modified: 2019-11-05 23:06 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-16 15:27:35 UTC
Target Upstream Version:


Attachments (Terms of Use)
screenshot of UI (39.61 KB, image/png)
2018-08-14 12:51 UTC, Nikhil Kathole
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2927 None None None 2018-10-16 15:28:58 UTC
Foreman Issue Tracker 20341 None None None 2017-07-19 08:31:22 UTC

Description Chris Duryee 2017-07-06 19:56:05 UTC
Description of problem:

The task status widget currently shows the number of tasks in each state. However, the "stopped/success" status count is typically not of interest to users.

Additionally, the timestamp of the most recent task to enter a particular state would be useful to show. For example, if some tasks are in "stopped/error", it would be good to be able to see if the latest task is from last night, or from three weeks ago.


Version-Release number of selected component (if applicable): 6.2.10

Comment 3 Tomer Brisker 2017-07-19 08:31:20 UTC
Created redmine issue http://projects.theforeman.org/issues/20341 from this bug

Comment 4 pm-sat@redhat.com 2017-07-19 10:04:49 UTC
Upstream bug assigned to tbrisker@redhat.com

Comment 5 pm-sat@redhat.com 2017-07-19 10:04:52 UTC
Upstream bug assigned to tbrisker@redhat.com

Comment 6 pm-sat@redhat.com 2017-07-27 14:05:37 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/20341 has been resolved.

Comment 7 Tomer Brisker 2017-11-12 15:24:12 UTC
*** Bug 1279317 has been marked as a duplicate of this bug. ***

Comment 10 Nikhil Kathole 2018-08-14 12:50:48 UTC
VERIFIED

Version tested:
Satellite 6.4 snap 17

New task widget on dashboard now shows "Last Start Time" and no successful tasks status in the list.

Comment 11 Nikhil Kathole 2018-08-14 12:51:14 UTC
Created attachment 1475836 [details]
screenshot of UI

Comment 13 errata-xmlrpc 2018-10-16 15:27:35 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.